class SlowVehicle implements Vehicle{
    private final Part engine;
    private final Part cabin;

    SlowVehicle(Part engine, Part cabin){
        this.engine = engine;
        this.cabin = cabin;
    }

    @Override
    public void move() {
        System.out.println("SlowVehicle, jedzie");
    }

    @Override
    public void parts() {
        System.out.println("SlowVehicle, silnik: " + engine);
        System.out.println("SlowVehicle, kokpit: " + cabin);
    }    
}
